beid-middleware-4.0.4-2.mga4.i586.rpm


Advertisement

Description

beid-middleware - Application to read information from the Belgian e-ID card

Distribution: Mageia 4.1
Repository: Mageia Core i586
Package name: beid-middleware
Package version: 4.0.4
Package release: 2.mga4
Package architecture: i586
Package type: rpm
Installed size: 822.23 KB
Download size: 243.43 KB
Official Mirror: distrib-coffee.ipsl.jussieu.fr
This application allows the user to read out any information from a Belgian electronic ID card, by using libbeid and libbeidlibopensc to read the data from the card and parse it. Both identity information and information about the stored cryptographic keys can be read in a user-friendly manner, and can easily be printed out or stored for later review. The application verifies the signature of the identity information, checks whether it was signed by a government-issued key, and optionally checks the certificate against the government's Certificate Revocation List (CRL) and/or by using the Online Certificate Status Protocol (OCSP) against the government's servers.

Alternatives

Provides

  • beid-middleware == 4.0.4-2.mga4
  • beid-middleware(x86-32) == 4.0.4-2.mga4
  • libbeidcardlayer.so.0
  • libbeidcommon.so.0
  • libbeiddialogs.so.0
  • libbeidpkcs11.so.0
  • libcardpluginbeid.so
  • libcardpluginsis.so
  • libcardpluginsis_acr38u.so

Obsoletes

  • beid < 4.0.0
  • libbeid2 < 4.0.0
  • libbeidcomm0 < 4.0.0
  • libbeidcommon0 < 4.0.0
  • libbeidgui1 < 4.0.0
  • libbeidlibopensc2 < 4.0.0
  • libbeidpcsclite2 < 4.0.0
  • libbeidpkcs11_2 < 4.0.0

    Install Howto

    1. Enable Mageia Core repository on "Install and Remove Software"
    2. Update packages list:
      # urpmi.update -a
    3. Install beid-middleware rpm package:
      # urpmi beid-middleware

    Files

    • /usr/lib/libbeidcardlayer.so.0
    • /usr/lib/libbeidcardlayer.so.0.0.0
    • /usr/lib/libbeidcommon.so.0
    • /usr/lib/libbeidcommon.so.0.0.0
    • /usr/lib/libbeiddialogs.so.0
    • /usr/lib/libbeiddialogs.so.0.0.0
    • /usr/lib/libbeidpkcs11.so.0
    • /usr/lib/libbeidpkcs11.so.0.0.0
    • /usr/lib/libcardpluginbeid.so
    • /usr/lib/libcardpluginsis.so
    • /usr/lib/libcardpluginsis_acr38u.so
    • /usr/libexec/beid-askaccess
    • /usr/libexec/beid-askpin
    • /usr/libexec/beid-badpin
    • /usr/libexec/beid-changepin
    • /usr/libexec/beid-spr-askpin
    • /usr/libexec/beid-spr-changepin
    • /usr/share/mozilla/extensions/{ec8030f7-c20a-464f-9b0e-13a3a9e97384}/belgiumeid@eid.belgium.be.xpi

    Changelog

    2013-10-21 - umeabot <umeabot> 4.0.4-2.mga4 + Revision: 539295 - Mageia 4 Mass Rebuild

    2013-10-05 - alien <alien> 4.0.4-1.mga4 + Revision: 491810 - Fix building with newer autotools - package into a .xpi - Update to new version - also package the helper tools - Suggest also ccid - Switch to upstream release

    2013-01-11 - umeabot <umeabot> 4.0.0.r929-7.mga3 + Revision: 346891 - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

    2012-10-03 - malo <malo> 4.0.0.r929-6.mga3 + Revision: 302582 - update RPM group

    2012-08-19 - sander85 <sander85> 4.0.0.r929-5.mga3 + Revision: 282154 - Fix build with gcc 4.7 + luigiwalser <luigiwalser> - rebuild for libffi

    2011-09-19 - fwang <fwang> 4.0.0.r929-4.mga2 + Revision: 145282 - rebuild for new libpng + alien <alien> - Fix patch to -P1 - Fix xpi for FF5

    2011-06-23 - alien <alien> 4.0.0.r929-2.mga2 + Revision: 112561 - Fix missing obsoletes

    2011-06-16 - alien <alien> 4.0.0.r929-1.mga2 + Revision: 108311 - Remove old beidgui references - Remove development libraries - Add packaging explanation comment regarding not splitting up the package - Fix a library linking issue - Remove static libraries - imported package beid-middleware

    Advertisement
    Advertisement